# Class Channel | EchoHub Documentation

# Class Channel

Namespace
  EchoHub.Core.Models

Assembly
  EchoHub.Core.dll

    public class Channel

Inheritance
  object
  Channel

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Constructors

### Channel()

    public Channel()

## Properties

### CreatedAt

    public DateTimeOffset CreatedAt { get; set; }

#### Property Value

DateTimeOffset

### CreatedByUserId

    public Guid CreatedByUserId { get; set; }

#### Property Value

Guid

### Id

    public Guid Id { get; set; }

#### Property Value

Guid

### Messages

    public List<Message> Messages { get; set; }

#### Property Value

List<Message>

### Name

    public required string Name { get; set; }

#### Property Value

string

### Topic

    public string? Topic { get; set; }

#### Property Value

string